AM263Px MCU+ SDK: ieee802-dot1ab-lldp_access.h File Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Structures | Enumerations | Functions
ieee802-dot1ab-lldp_access.h File Reference

Go to the source code of this file.

## Data Structures
struct | attribute_pair_t
struct | lldp_remote_portid_info_t

## Enumerations
enum | lldp_port_id_subtype_t { ePORT_ID_SUBTYPE_INTERFACE_ALIAS =0x01, ePORT_ID_SUBTYPE_PORT_COMPONENT, ePORT_ID_SUBTYPE_MAC_ADDRESS, ePORT_ID_SUBTYPE_NETWORK_ADDRESS, ePORT_ID_SUBTYPE_INTERFACE_NAME, ePORT_ID_SUBTYPE_AGENT_CIRCUIT_ID, ePORT_ID_SUBTYPE_LOCAL, ePORT_ID_SUBTYPE_MAX }

## Functions
int | ydbi_get_item_abk1vk0 (yang_db_item_access_t *ydbia, void **rval, uint8_t k1, bool status)
int | ydbi_get_item_abk2vk0 (yang_db_item_access_t *ydbia, void **rval, uint8_t k1, uint8_t k2, bool status)
int | ydbi_set_item_abk1vk0 (yang_db_item_access_t *ydbia, void *rval, uint32_t vsize, uint8_t k1, bool status, uint8_t notice)
int | ydbi_set_item_abk2vk0 (yang_db_item_access_t *ydbia, void *rval, uint32_t vsize, uint8_t k1, uint8_t k2, bool status, uint8_t notice)
int | ydbi_get_item_abknvkn (yang_db_item_access_t *ydbia, void **rval, uint8_t kn[], uint8_t kn_sz, attribute_pair_t attrs[], uint8_t kvs_sz, bool status)
| Get val base on n key from LLDP until end Also provided vkn as attribute. More...
int | ydbi_set_item_abknvkn (yang_db_item_access_t *ydbia, uint8_t kn[], uint8_t kn_sz, attribute_pair_t attrs[], uint8_t kvs_sz, bool status, void *value, uint32_t vsize, uint8_t notice)
| Set val base on n key from LLDP until end Also provided vkn as attribute. More...
int | ydbi_del_item_abknvkn (yang_db_item_access_t *ydbia, uint8_t kn[], uint8_t kn_sz, attribute_pair_t attrs[], uint8_t kvs_sz, bool status, uint8_t notice)
| Set val base on n key from LLDP until end Also provided vkn as attribute. More...
void | ydbi_set_dbpara_abk1vk1 (yang_db_item_access_t *ydbia, char *brname, char *name, uint8_t *destmac, uint8_t k1, bool ismirror, bool iswildcard)
| set ydbi db parameters for remote-systems-data leafs More...
int | ydbi_iterate_portid (yang_db_item_access_t *ydbia, uc_range **range, lldp_remote_portid_info_t *portid, bool ismirror)
| iterate remote port-id data in db More...
int | ydbi_get_portid_subtype (yang_db_item_access_t *ydbia, lldp_remote_portid_info_t *portid, bool ismirror)
| get the port-id-subtype of the given port-id info More...
int | ydbi_del_remote_systems_data (yang_db_item_access_t *ydbia, uint8_t k1, lldp_remote_portid_info_t *portid, bool ismirror)
| deleted the given remote-system-data leaf (k1) with the given port-id info More...

## Enumeration Type Documentation

## ◆ lldp_port_id_subtype_t

enum lldp_port_id_subtype_t

Enumerator
ePORT_ID_SUBTYPE_INTERFACE_ALIAS |
ePORT_ID_SUBTYPE_PORT_COMPONENT |
ePORT_ID_SUBTYPE_MAC_ADDRESS |
ePORT_ID_SUBTYPE_NETWORK_ADDRESS |
ePORT_ID_SUBTYPE_INTERFACE_NAME |
ePORT_ID_SUBTYPE_AGENT_CIRCUIT_ID |
ePORT_ID_SUBTYPE_LOCAL |
ePORT_ID_SUBTYPE_MAX |

## Function Documentation

## ◆ ydbi_get_item_abk1vk0()

int ydbi_get_item_abk1vk0 | ( | yang_db_item_access_t * | ydbia,
|  | void ** | rval,
|  | uint8_t | k1,
|  | bool | status
| ) |  |

## ◆ ydbi_get_item_abk2vk0()

int ydbi_get_item_abk2vk0 | ( | yang_db_item_access_t * | ydbia,
|  | void ** | rval,
|  | uint8_t | k1,
|  | uint8_t | k2,
|  | bool | status
| ) |  |

## ◆ ydbi_set_item_abk1vk0()

int ydbi_set_item_abk1vk0 | ( | yang_db_item_access_t * | ydbia,
|  | void * | rval,
|  | uint32_t | vsize,
|  | uint8_t | k1,
|  | bool | status,
|  | uint8_t | notice
| ) |  |

## ◆ ydbi_set_item_abk2vk0()

int ydbi_set_item_abk2vk0 | ( | yang_db_item_access_t * | ydbia,
|  | void * | rval,
|  | uint32_t | vsize,
|  | uint8_t | k1,
|  | uint8_t | k2,
|  | bool | status,
|  | uint8_t | notice
| ) |  |

## ◆ ydbi_get_item_abknvkn()

int ydbi_get_item_abknvkn | ( | yang_db_item_access_t * | ydbia,
|  | void ** | rval,
|  | uint8_t | kn[],
|  | uint8_t | kn_sz,
|  | attribute_pair_t | attrs[],
|  | uint8_t | kvs_sz,
|  | bool | status
| ) |  |

Get val base on n key from LLDP until end Also provided vkn as attribute.

## ◆ ydbi_set_item_abknvkn()

int ydbi_set_item_abknvkn | ( | yang_db_item_access_t * | ydbia,
|  | uint8_t | kn[],
|  | uint8_t | kn_sz,
|  | attribute_pair_t | attrs[],
|  | uint8_t | kvs_sz,
|  | bool | status,
|  | void * | value,
|  | uint32_t | vsize,
|  | uint8_t | notice
| ) |  |

Set val base on n key from LLDP until end Also provided vkn as attribute.

## ◆ ydbi_del_item_abknvkn()

int ydbi_del_item_abknvkn | ( | yang_db_item_access_t * | ydbia,
|  | uint8_t | kn[],
|  | uint8_t | kn_sz,
|  | attribute_pair_t | attrs[],
|  | uint8_t | kvs_sz,
|  | bool | status,
|  | uint8_t | notice
| ) |  |

Set val base on n key from LLDP until end Also provided vkn as attribute.

## ◆ ydbi_set_dbpara_abk1vk1()

void ydbi_set_dbpara_abk1vk1 | ( | yang_db_item_access_t * | ydbia,
|  | char * | brname,
|  | char * | name,
|  | uint8_t * | destmac,
|  | uint8_t | k1,
|  | bool | ismirror,
|  | bool | iswildcard
| ) |  |

set ydbi db parameters for remote-systems-data leafs

Parameters

  ydbia | ydbia handle
  brname | uc-mirror bridge name (used only if ismirror=true)
  name | port's name key value
  destmac | port's dest-mac-address key value
  k1 | key of the target leaf
  ismirror | set to true to set uc-mirror prefix.
  iswildcard | set to true to set default kss value even if kvs is NULL.

## ◆ ydbi_iterate_portid()

int ydbi_iterate_portid | ( | yang_db_item_access_t * | ydbia,
|  | uc_range ** | range,
|  | lldp_remote_portid_info_t * | portid,
|  | bool | ismirror
| ) |  |

iterate remote port-id data in db

Parameters

  ydbia | ydbia handle
  range | if NULL crate a new range. not NULL continue
  portid | remote system data structure return.
  ismirror | if set to true, mirrored(prefixed) db data will be search. if false, local (non-prefixed) db data will be search.

Returns
  -1: error, 0:okay, 1:no more data

Note
  the created range is released when it returns non-ZERO

## ◆ ydbi_get_portid_subtype()

int ydbi_get_portid_subtype | ( | yang_db_item_access_t * | ydbia,
|  | lldp_remote_portid_info_t * | portid,
|  | bool | ismirror
| ) |  |

get the port-id-subtype of the given port-id info

Parameters

  ydbia | ydbia handle
  portid | remote system data structure return. 'ifname', 'dstmacaddr', 'timemarks', and 'remoteidx' must be defined.
  ismirror | if set to true, mirrored(prefixed) db data will return. if false, local (non-prefixed) db data will be return.

Returns
  -1: error, 0:sucess

## ◆ ydbi_del_remote_systems_data()

int ydbi_del_remote_systems_data | ( | yang_db_item_access_t * | ydbia,
|  | uint8_t | k1,
|  | lldp_remote_portid_info_t * | portid,
|  | bool | ismirror
| ) |  |

deleted the given remote-system-data leaf (k1) with the given port-id info

Parameters

  ydbia | ydbia handle
  k1 | remote-system-data leaf to be deleted
  portid | remote system data structure return. 'ifname', 'dstmacaddr', 'timemarks', and 'remoteidx' must be defined.
  ismirror | if set to true, mirrored(prefixed) db data will be deleted. if false, local (non-prefixed) db data will be deleted.

Returns
  -1: error, 0:success